## libkf5ksieve 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.3")

project(libksieve VERSION ${PIM_VERSION})

set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${libksieve_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMCoverageOption)

set(LIBKSIEVE_LIB_VERSION ${PIM_VERSION})
set(QT_REQUIRED_VERSION "5.8.0")
set(KMIME_LIB_VERSION "5.7.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.7.3")
set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
set(LIBKDEPIM_LIB_VERSION "5.7.3")
set(PIMCOMMON_LIB_VERSION "5.7.3")
set(KIMAP_LIB_VERSION "5.7.3")

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)


find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets PrintSupport WebEngine WebEngineWidgets)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES
                             DESCRIPTION "The Cyrus-sasl library"
                             URL "http://www.cyrussasl.org"
                             TYPE OPTIONAL
)

include_directories(${Sasl2_INCLUDE_DIRS})

ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKSIEVE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libksieve_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5LibKSieveConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5LibKSieve")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5LibKSieveConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibKSieveConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibKSieveConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5LibKSieveConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KSieveTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5LibKSieveTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/libksieve_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
endif(BUILD_TESTING)


add_subdirectory(src)
add_subdirectory(kioslave)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
install( FILES libksieve.categories libksieve.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== kioslave/CMakeLists.txt ===
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

add_subdirectory(src)
add_subdirectory(doc)

=== src/ksieveui/CMakeLists.txt ===
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
if(KDEPIM_ENTERPRISE_BUILD)
    set(USE_GRAPHICAL_SIEVE_EDITOR true)
else()
    set(USE_GRAPHICAL_SIEVE_EDITOR false)
endif()


configure_file(settings/sieve-editor.kcfg.cmake ${CMAKE_CURRENT_BINARY_DIR}/sieve-editor.kcfg)

if(BUILD_TESTING)
    add_subdirectory(editor/tests)
    add_subdirectory(managescriptsjob/autotests)
    add_subdirectory(editor/autotests)
    add_subdirectory(autocreatescripts/tests)
    add_subdirectory(scriptsparsing/tests)
    add_subdirectory(scriptsparsing/autotests)
    add_subdirectory(vacation/autotests)
    add_subdirectory(sievescriptdebugger/autotests)
    add_subdirectory(sievescriptdebugger/tests)
    add_subdirectory(autocreatescripts/autotests/)
    add_subdirectory(editor/webengine/findbar/autotests/)
    add_subdirectory(editor/webengine/autotests/)
    add_subdirectory(util/autotests/)
    add_subdirectory(sieveimapinstance/autotests)
    add_subdirectory(widgets/autotests)
endif()

set(ksieveui_vacation_LIB_SRCS
    vacation/vacation.cpp
    vacation/vacationdialog.cpp
    vacation/vacationhelperjob.cpp
    vacation/vacationeditwidget.cpp
    vacation/multiimapvacationdialog.cpp
    vacation/vacationpagewidget.cpp
    vacation/vacationwarningwidget.cpp
    vacation/vacationscriptextractor.cpp
    vacation/vacationutils.cpp
    vacation/vacationcreatescriptjob.cpp
    vacation/vacationcheckjob.cpp
    vacation/multiimapvacationmanager.cpp
    vacation/vacationmanager.cpp
    vacation/vacationmailactionwidget.cpp
    vacation/legacy/vacationutils.cpp
    vacation/legacy/vacationscriptextractor.cpp
    )
set(ksieveui_webpageeditor_LIB_SRCS
    editor/webengine/sieveeditorwebengineview.cpp
    editor/webengine/sieveeditorhelphtmlwidget.cpp
    editor/webengine/sieveeditorloadprogressindicator.cpp
    editor/webengine/findbar/findbarbase.cpp
    editor/webengine/findbar/findbarwebengineview.cpp
    )

set(ksieveui_editor_LIB_SRCS
    ${ksieveui_webpageeditor_LIB_SRCS}
    editor/sieveeditorwidget.cpp
    editor/sievetextedit.cpp
    editor/sieveeditor.cpp
    editor/sievelinenumberarea.cpp
    editor/sieveinfowidget.cpp
    editor/sieveeditortextmodewidget.cpp
    editor/sieveeditorabstractwidget.cpp
    editor/warningwidget/sieveeditorwarning.cpp
    editor/warningwidget/sieveeditorparsingmissingfeaturewarning.cpp
    editor/sieveeditortabwidget.cpp
    editor/sieveeditorutil.cpp
    editor/sieveeditormenubar.cpp
    editor/sievetexteditorspellcheckdecorator.cpp
    editor/sievetexteditwidget.cpp
    )

set(ksieveui_autocreatescripts_LIB_SRCS
    autocreatescripts/sieveeditorgraphicalmodewidgetabstract.cpp
    autocreatescripts/sievescriptparsingerrordialog.cpp
    autocreatescripts/sieveeditorgraphicalmodewidget.cpp
    autocreatescripts/autocreatescriptdialog.cpp
    autocreatescripts/sieveconditionwidgetlister.cpp
    autocreatescripts/sievescriptlistbox.cpp
    autocreatescripts/sievescriptdescriptiondialog.cpp
    autocreatescripts/sieveactionwidgetlister.cpp
    autocreatescripts/sievescriptpage.cpp
    autocreatescripts/sievescriptblockwidget.cpp
    autocreatescripts/sievescripttabwidget.cpp
    autocreatescripts/autocreatescriptutil.cpp
    autocreatescripts/sieveincludewidget.cpp
    autocreatescripts/sieveforeverypartwidget.cpp
    autocreatescripts/sievewidgetpageabstract.cpp
    autocreatescripts/sieveglobalvariablewidget.cpp
    autocreatescripts/sieveactions/sieveactionlist.cpp
    autocreatescripts/sieveactions/sieveaction.cpp
    autocreatescripts/sieveactions/sieveactiondiscard.cpp
    autocreatescripts/sieveactions/sieveactionstop.cpp
    autocreatescripts/sieveactions/sieveactionsetflags.cpp
    autocreatescripts/sieveactions/sieveactionaddflags.cpp
    autocreatescripts/sieveactions/sieveactionfileinto.cpp
    autocreatescripts/sieveactions/sieveactionreject.cpp
    autocreatescripts/sieveactions/sieveactionkeep.cpp
    autocreatescripts/sieveactions/sieveactionredirect.cpp
    autocreatescripts/sieveactions/sieveactionabstractflags.cpp
    autocreatescripts/sieveactions/sieveactionremoveflags.cpp
    autocreatescripts/sieveactions/sieveactionnotify.cpp
    autocreatescripts/sieveactions/sieveactionabstracteditheader.cpp
    autocreatescripts/sieveactions/sieveactiondeleteheader.cpp
    autocreatescripts/sieveactions/sieveactionaddheader.cpp
    autocreatescripts/sieveactions/sieveactionvacation.cpp
    autocreatescripts/sieveactions/sieveactionenclose.cpp
    autocreatescripts/sieveactions/sieveactionreplace.cpp
    autocreatescripts/sieveactions/sieveactionextracttext.cpp
    autocreatescripts/sieveactions/sieveactionbreak.cpp
    autocreatescripts/sieveactions/sieveactionconvert.cpp
    autocreatescripts/sieveactions/sieveactionsetvariable.cpp
    autocreatescripts/sieveactions/sieveactionreturn.cpp
    autocreatescripts/sieveactions/sieveactionereject.cpp
    autocreatescripts/sieveactions/widgets/selectflagswidget.cpp
    autocreatescripts/sieveactions/widgets/addresslineedit.cpp
    autocreatescripts/sieveactions/widgets/selectaddheaderpositioncombobox.cpp
    autocreatescripts/sieveactions/widgets/selectimportancecombobox.cpp
    autocreatescripts/sieveactions/widgets/multilineedit.cpp
    autocreatescripts/sieveactions/widgets/selectvacationcombobox.cpp
    autocreatescripts/sieveactions/widgets/selectvariablemodifiercombobox.cpp
    autocreatescripts/commonwidgets/selectconvertparameterwidget.cpp
    autocreatescripts/commonwidgets/selectmatchtypecombobox.cpp
    autocreatescripts/commonwidgets/selectmimetypecombobox.cpp
    autocreatescripts/commonwidgets/sievehelpbutton.cpp    
    autocreatescripts/sieveconditions/sievecondition.cpp
    autocreatescripts/sieveconditions/sieveconditionheader.cpp
    autocreatescripts/sieveconditions/sieveconditionlist.cpp
    autocreatescripts/sieveconditions/sieveconditionaddress.cpp
    autocreatescripts/sieveconditions/sieveconditionsize.cpp
    autocreatescripts/sieveconditions/sieveconditionenvelope.cpp
    autocreatescripts/sieveconditions/sieveconditionexists.cpp
    autocreatescripts/sieveconditions/sieveconditiontrue.cpp
    autocreatescripts/sieveconditions/sieveconditionbody.cpp
    autocreatescripts/sieveconditions/sieveconditiondate.cpp
    autocreatescripts/sieveconditions/sieveconditioncurrentdate.cpp
    autocreatescripts/sieveconditions/sieveconditionmailboxexists.cpp
    autocreatescripts/sieveconditions/sieveconditionspamtest.cpp
    autocreatescripts/sieveconditions/sieveconditionvirustest.cpp
    autocreatescripts/sieveconditions/sieveconditionihave.cpp
    autocreatescripts/sieveconditions/sieveconditionfalse.cpp
    autocreatescripts/sieveconditions/sieveconditionenvironment.cpp
    autocreatescripts/sieveconditions/sieveconditionhasflag.cpp
    autocreatescripts/sieveconditions/sieveconditionmetadata.cpp
    autocreatescripts/sieveconditions/sieveconditionconvert.cpp
    autocreatescripts/sieveconditions/sieveconditionmetadataexists.cpp
    autocreatescripts/sieveconditions/sieveconditionservermetadata.cpp
    autocreatescripts/sieveconditions/sieveconditionservermetadataexists.cpp
    autocreatescripts/sieveconditions/widgets/selectdatewidget.cpp
    autocreatescripts/sieveconditions/widgets/selectaddresspartcombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectheadertypecombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectbodytypewidget.cpp
    autocreatescripts/sieveconditions/widgets/selectrelationalmatchtype.cpp
    autocreatescripts/sieveconditions/widgets/selectcomparatorcombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectmimecombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectsizetypecombobox.cpp
    autocreatescripts/sieveconditions/widgets/selectsizewidget.cpp
    autocreatescripts/sieveconditions/widgets/sievedatespinbox.cpp
    autocreatescripts/sieveconditions/widgets/regexpeditorlineedit.cpp
    )

set(ksieveui_scriptsparsing_LIB_SRCS
    scriptsparsing/xmlprintingscriptbuilder.cpp
    scriptsparsing/parsingresultdialog.cpp
    scriptsparsing/parsingutil.cpp
    )

set(ksieveui_sievescriptdebugger_LIB_SRCS
    sievescriptdebugger/sievescriptdebuggerdialog.cpp
    sievescriptdebugger/sievescriptdebuggerwidget.cpp
    sievescriptdebugger/sievescriptdebuggerfrontendwidget.cpp
    sievescriptdebugger/sievescriptdebuggerwarning.cpp
    sievescriptdebugger/sievescriptdebuggertextedit.cpp
    sievescriptdebugger/sievescriptdebuggerresulteditor.cpp
    )

set(ksieveui_managescriptjob_LIB_SRCS
    managescriptsjob/checkkolabkep14supportjob.cpp
    managescriptsjob/generateglobalscriptjob.cpp
    managescriptsjob/parseuserscriptjob.cpp
    managescriptsjob/renamescriptjob.cpp
    managescriptsjob/checkscriptjob.cpp
    )
set(ksieveui_sieveimapinstance_LIB_SRCS
    sieveimapinstance/sieveimapinstance.cpp
    sieveimapinstance/sieveimapinstanceinterface.cpp
    sieveimapinstance/sieveimapinstanceinterfacemanager.cpp
    )
    
set(ksieveui_sieveutil_LIB_SRCS
    util/util.cpp
    util/abstractakonadiimapsettinginterface.cpp
    util/akonadiimapsettinginterface.cpp
    util/sieveimapaccountsettings.cpp
    )	

set(ksieveui_widgets_SRCS
    widgets/custommanagesievewidget.cpp
    widgets/sievetreewidgetitem.cpp
    widgets/managesievetreeview.cpp
    widgets/managesievewidget.cpp
    widgets/abstractmoveimapfolderwidget.cpp
    widgets/abstractregexpeditorlineedit.cpp
    widgets/lineeditvalidator.cpp
    widgets/includefilelineedit.cpp
    widgets/moveimapfolderwidget.cpp
    )

set(ksieveui_LIB_SRCS
    managesievescriptsdialog.cpp
    debug/sievedebugdialog.cpp
    templates/sievetemplatewidget.cpp
    templates/sievedefaulttemplate.cpp
    templates/sievetemplateeditdialog.cpp
    ${ksieveui_widgets_SRCS}
    ${ksieveui_sieveutil_LIB_SRCS}
    ${ksieveui_sieveimapinstance_LIB_SRCS}
    ${ksieveui_scriptsparsing_LIB_SRCS}
    ${ksieveui_vacation_LIB_SRCS}
    ${ksieveui_editor_LIB_SRCS}
    ${ksieveui_autocreatescripts_LIB_SRCS}
    ${ksieveui_sievescriptdebugger_LIB_SRCS}
    ${ksieveui_managescriptjob_LIB_SRCS}
    )

ecm_qt_declare_logging_category(ksieveui_LIB_SRCS HEADER libksieve_debug.h IDENTIFIER LIBKSIEVE_LOG CATEGORY_NAME org.kde.pim.libksieve)

kconfig_add_kcfg_files(ksieveui_LIB_SRCS settings/sieve-vacation.kcfgc settings/sieve-editor.kcfgc)

add_library(KF5KSieveUi ${ksieveui_LIB_SRCS})
generate_export_header(KF5KSieveUi BASE_NAME ksieveui)
add_library(KF5::KSieveUi ALIAS KF5KSieveUi)

target_link_libraries(KF5KSieveUi
    PUBLIC
    KF5::KManageSieve
    KF5::KSieve
    KF5::PimCommon
    PRIVATE
    KF5::Libkdepim
    KF5::Archive
    KF5::Mime
    KF5::IconThemes
    KF5::IdentityManagement
    KF5::MailTransport
    KF5::KIOWidgets
    KF5::NewStuff
    KF5::WindowSystem
    Qt5::WebEngineWidgets
    KF5::PimTextEdit
    KF5::I18n
    KF5::SonnetUi
    Qt5::PrintSupport
    KF5::SyntaxHighlighting
    )

set_target_properties(KF5KSieveUi PROPERTIES
    VERSION ${LIBKSIEVE_VERSION_STRING}
    SOVERSION ${LIBKSIEVE_SOVERSION}
    EXPORT_NAME KSieveUi
    )

target_include_directories(KF5KSieveUi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KSieveUi/;${KDE_INSTALL_INCLUDEDIR_KF5}/ksieveui;${KDE_INSTALL_INCLUDEDIR_KF5}>")
target_include_directories(KF5KSieveUi PUBLIC "$<BUILD_INTERFACE:${libksieve_SOURCE_DIR}/src/ksieveui;${libksieve_SOURCE_DIR}/src/ksieveui/util/;${libksieve_BINARY_DIR}/src/ksieveui>")

ecm_generate_headers(ksieveui_CamelCase_HEADERS
    HEADER_NAMES
    ManageSieveScriptsDialog
    REQUIRED_HEADERS ksieveui_HEADERS
    PREFIX KSieveUi
    )

ecm_generate_headers(ksieveui_Camelcaseutil_HEADERS
    HEADER_NAMES
    Util
    SieveImapAccountSettings
    SieveImapPasswordProvider
    REQUIRED_HEADERS ksieveui_util_HEADERS
    PREFIX KSieveUi
    RELATIVE util
    )

ecm_generate_headers(ksieveui_Camelcaseimapinstance_HEADERS
    HEADER_NAMES
    SieveImapInstance
    SieveImapInstanceInterface
    SieveImapInstanceInterfaceManager

=== src/ksieveui/scriptsparsing/autotests/CMakeLists.txt ===
add_definitions( -DXMLPRINTINGSCRIPTBUILDER_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )
macro(add_sieveeditor_xmlprintingscriptbuilding _source _extrasource)
    set(_test ${_source} ${_extrasource})
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_test}
        TEST_NAME ${_name}
        NAME_PREFIX "sieveeditor-xmlprintingscriptbuilding-"
        LINK_LIBRARIES Qt5::Test KF5::I18n KF5::KSieveUi
        )
endmacro()
add_sieveeditor_xmlprintingscriptbuilding(xmlprintingscriptbuildertest.cpp "" "")

=== src/ksieveui/widgets/autotests/CMakeLists.txt ===
macro(add_autocreatescriptswidget_test _source _additionalsource)
  set( _test ${_source} ${_additionalsource})
  get_filename_component( _name ${_source} NAME_WE )
  add_executable( ${_name} ${_test} )
  add_test(NAME ${_name} COMMAND ${_name})
  ecm_mark_as_test(sievescriptdebugger-${_name})
  target_link_libraries( ${_name} KF5::KSieveUi Qt5::Test)
endmacro()

add_autocreatescriptswidget_test(lineeditvalidatortest.cpp "")
add_autocreatescriptswidget_test(includefilelineedittest.cpp "")
add_autocreatescriptswidget_test(moveimapfolderwidgettest.cpp "../moveimapfolderwidget.cpp")

## libkf5ksieve 16.04.3

=== debian/changelog ===
libkf5ksieve (4:16.04.3-2) unstable; urgency=medium

  * Team upload

  [ Didier Raboud ]
  * Backport 5 upstream patches to fix connection unreliability after
    some time, thanks to Maximilian Engelhardt for the report and
    pointing to the commits (Closes: #850462)

 -- Didier Raboud <odyx@debian.org>  Wed, 25 Jan 2017 18:36:05 +0100

libkf5ksieve (4:16.04.3-1) unstable; urgency=medium

  * New upstream release (16.04.3)
    (Closes: 841458) Thanks to Maximilian Engelhardt for the report

 -- Maximiliano Curia <maxy@debian.org>  Fri, 21 Oct 2016 11:01:32 +0200

libkf5ksieve (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Jul 2016 08:58:44 +0200

libkf5ksieve (4:16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Thu, 30 Jun 2016 14:17:43 +0200

libkf5ksieve (4:16.04.1-1) experimental; urgency=medium

  * Initial release.
  * Add missing breaks/replaces
  * Add upstream patch: upstream_add_copying_files.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 04 Jun 2016 22:31:51 +0200

=== debian/control ===
Source: libkf5ksieve
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadicontact-dev,
               libkf5archive-dev (>= 5.19.0~),
               libkf5contacts-dev,
               libkf5i18n-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.19.0~),
               libkf5identitymanagement-dev (>= 5.2.40~),
               libkf5imap-dev,
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5mailtransport-dev (>= 5.2.40~),
               libkf5mime-dev (>= 5.2.40~),
               libkf5newstuff-dev (>= 5.19.0~),
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5pimtextedit-dev (>= 5.2.40~),
               libkf5windowsystem-dev (>= 5.19.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libksieve.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libksieve.git

Package: libkf5ksieve5
Architecture: any
Multi-Arch: same
Depends: libkf5ksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sieve mail filtering language support for kdepim, library
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package is part of the KDE PIM module.

Package: libkf5ksieve-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kmail (<= 4:16.04), libkf5ksieveui5 (<= 4:16.04)
Replaces: kmail (<= 4:16.04), libkf5ksieveui5 (<= 4:16.04)
Description: Sieve mail filtering language support for kdepim, data files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package is part of the KDE PIM module.
 .
 This package provides the data files common to the kf5ksieve libraries.

Package: libkf5kmanagesieve5
Architecture: any
Multi-Arch: same
Depends: libkf5ksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sieve remote script management support for kdepim, library
 This library implements a subset of the protocol for remotely managing Sieve
 scripts (RFC 5804). Among other basic operations, it provides an easy to use
 API for listing, retrieving, deleting, activating and uploading of scripts to
 the remote Sieve script server.
 .
 This package is part of the KDE PIM module.

Package: libkf5ksieveui5
Architecture: any
Multi-Arch: same
Depends: libkf5ksieve-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sieve mail filtering language support for kdepim, GUI library
 This library implements GUI dialogs and elements which enable users to easily
 create, edit and manage their mail filters on the mail servers which support
 the Sieve language (RFC 3028) and the protocol for remotely managing Sieve
 scripts (RFC 5804).
 .
 This package is part of the KDE PIM module.

Package: libkf5ksieve-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5kmanagesieve5 (= ${binary:Version}),
         libkf5ksieve5 (= ${binary:Version}),
         libkf5ksieveui5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 5.2.0~),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sieve mail filtering language support for kdepim, development files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package is part of the KDE PIM module.

## libkf5ksieve 17.04.3

=== debian/changelog ===
libkf5ksieve (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Update build deps for upstream changes:
    - Drop akonadi and akonadicontact.
    - Add syntaxhighlighting.

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * Add libkf5syntaxhighlighting-dev to libkf5ksieve-dev depends, fixing the
    acc autopkgtest.
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:18 +0100

libkf5ksieve (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Create a HOME directory for the testsuite autopkgtest
  * Execute the testsuite with openbox
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:50 +0100

libkf5ksieve (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @cbaf86e9e443a3ef0469738b91e61ba59e7c0789 **

  * Initial release.
  * Initial packaging

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Build deps on libqt5webchannel-dev & libqt5webengine5-dev
  * Fix spelling error reported by lintian
  * New kioslave package
  * New build depend on qtpositioning5-dev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:47:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,32 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
-               libkf5akonadi-dev (>= 4:5.2.0~),
-               libkf5akonadicontact-dev,
-               libkf5archive-dev (>= 5.19.0~),
-               libkf5contacts-dev,
-               libkf5i18n-dev (>= 5.19.0~),
-               libkf5iconthemes-dev (>= 5.19.0~),
-               libkf5identitymanagement-dev (>= 5.2.40~),
-               libkf5imap-dev,
-               libkf5libkdepim-dev (>= 5.2.0~),
-               libkf5mailtransport-dev (>= 5.2.40~),
-               libkf5mime-dev (>= 5.2.40~),
-               libkf5newstuff-dev (>= 5.19.0~),
-               libkf5pimcommon-dev (>= 5.2.0~),
-               libkf5pimtextedit-dev (>= 5.2.40~),
-               libkf5windowsystem-dev (>= 5.19.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5identitymanagement-dev (>= 17.04.3~),
+               libkf5imap-dev (>= 17.04.3~),
+               libkf5libkdepim-dev (>= 4:17.04.3~),
+               libkf5mailtransport-dev (>= 17.04.3~),
+               libkf5mime-dev (>= 17.04.3~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5pimcommon-dev (>= 4:17.04.3~),
+               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5syntaxhighlighting-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libqt5webchannel5-dev (>= 5.6.1~),
                libqt5webkit5-dev (>= 5.4.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4.0~),
-               qttools5-dev (>= 5.4.0~)
+               qtbase5-dev (>= 5.6.1~),
+               qtpositioning5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
+               qtwebengine5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libksieve.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libksieve.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksieve
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksieve
 
 Package: libkf5ksieve5
 Architecture: any
@@ -46,8 +48,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: kmail (<= 4:16.04), libkf5ksieveui5 (<= 4:16.04)
-Replaces: kmail (<= 4:16.04), libkf5ksieveui5 (<= 4:16.04)
+Breaks: kmail (<= 4:16.04), libkf5ksieveui5 (<= 4:16.04), ${kde-l10n:all}
+Replaces: kmail (<= 4:16.04), libkf5ksieveui5 (<= 4:16.04), ${kde-l10n:all}
 Description: Sieve mail filtering language support for kdepim, data files
  This library implements a parser and lexer for Sieve, the mail filtering
  language (RFC 3028).
@@ -88,12 +90,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:5.2.0~),
+Depends: libkf5akonadi-dev (>= 4:17.04.3~),
          libkf5kmanagesieve5 (= ${binary:Version}),
          libkf5ksieve5 (= ${binary:Version}),
          libkf5ksieveui5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 5.2.0~),
-         qtbase5-dev (>= 5.4.0~),
+         libkf5pimcommon-dev (>= 4:17.04.3~),
+         libkf5syntaxhighlighting-dev,
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Sieve mail filtering language support for kdepim, development files
@@ -101,3 +104,17 @@
  language (RFC 3028).
  .
  This package is part of the KDE PIM module.
+
+Package: kio-sieve
+Architecture: any
+Multi-Arch: no
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: kdepimlibs-kio-plugins, kf5-kdepimlibs-kio-plugins, ${kde-l10n:all}
+Breaks: kdepimlibs-kio-plugins, kf5-kdepimlibs-kio-plugins, ${kde-l10n:all}
+Description: Sieve mail filtering language support for kdepim, development files
+ This library implements a parser and lexer for Sieve, the mail filtering
+ language (RFC 3028).
+ .
+ This package contains the kio slave for ksieve
+ .
+ This package is part of the KDE PIM module.

## libkf5ksieve 17.12.3

=== debian/changelog ===
libkf5ksieve (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:12 +0000

libkf5ksieve (4:17.12.2-0ubuntu3) bionic; urgency=medium

  * Correct test patch for stable 17.12 branch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 15:37:45 +0000

libkf5ksieve (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Add upstream patch to fix autopkgtests. Can be dropped in 17.12.3
   - upstream_fix-autocreatescripts-selectheadertypecomboboxtest.patch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 07:55:47 +0000

libkf5ksieve (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:45:50 +0000

libkf5ksieve (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:45 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libkf5archive-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.04.3~),
-               libkf5imap-dev (>= 17.04.3~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mailtransport-dev (>= 17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
+               libkf5imap-dev (>= 17.12.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mailtransport-dev (>= 17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libqt5webchannel5-dev (>= 5.6.1~),
@@ -90,11 +90,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5kmanagesieve5 (= ${binary:Version}),
          libkf5ksieve5 (= ${binary:Version}),
          libkf5ksieveui5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 4:17.04.3~),
+         libkf5pimcommon-dev (>= 4:17.12.3~),
          libkf5syntaxhighlighting-dev,
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libksieve-([\d.]+).tar.xz

## libkf5ksieve 18.04.3

=== debian/changelog ===
libkf5ksieve (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * More tests disabling due to upstream brokenness.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 26 Aug 2018 10:33:53 +0100

libkf5ksieve (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Drop upstream applied patches

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:54 +0100

libkf5ksieve (4:17.12.3-0ubuntu3) cosmic; urgency=medium

  * Skip testuite for now with Qt 5.11. To be reverted in PIM 18.04.3 if
    fixable then.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 30 Jul 2018 10:49:46 +0100

libkf5ksieve (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Fix the build with Qt 5.11.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Jul 2018 07:34:04 -0500

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libkf5archive-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.12.3~),
-               libkf5imap-dev (>= 17.12.3~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5mailtransport-dev (>= 17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5identitymanagement-dev (>= 18.04.3~),
+               libkf5imap-dev (>= 18.04.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5mailtransport-dev (>= 18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.12.3~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5pimcommon-dev (>= 4:18.04.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libqt5webchannel5-dev (>= 5.6.1~),
@@ -26,7 +26,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtpositioning5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
-               qtwebengine5-dev (>= 5.6.1~)
+               qtwebengine5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksieve
@@ -90,15 +90,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
          libkf5kmanagesieve5 (= ${binary:Version}),
          libkf5ksieve5 (= ${binary:Version}),
          libkf5ksieveui5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 4:17.12.3~),
+         libkf5pimcommon-dev (>= 4:18.04.3~),
          libkf5syntaxhighlighting-dev,
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Sieve mail filtering language support for kdepim, development files
  This library implements a parser and lexer for Sieve, the mail filtering
  language (RFC 3028).

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox
#Restrictions: build-needed

#Tests: acc
#Depends: @,
#         dh-acc, exuberant-ctags
#Restrictions: allow-stderr
